Xerces-J API: Class TraverseSchema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.schema
Class TraverseSchema

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.TraverseSchema

public class TraverseSchema
extends java.lang.Object
implements NamespacesScope.NamespacesHandler

Instances of this class get delegated to Traverse the Schema and to populate the Grammar internal representation by instances of Grammar objects. Traverse a Schema Grammar:

Version:
  $Id: TraverseSchema.java,v 1.242.2.13 2001/11/12 21:58:43 neilg Exp $
Author:
  Eric Ye, IBM, Jeffrey Rodriguez, IBM, Andy Clark, IBM
See Also:
  `Grammar`

Inner Class Summary
`class` | `TraverseSchema.ComplexTypeInfo`
`class` | `TraverseSchema.SchemaInfo`

Field Summary
`static java.lang.String` | `SchemaForSchemaURI`

Constructor Summary
`TraverseSchema(Element root, StringPool stringPool, SchemaGrammar schemaGrammar, GrammarResolver grammarResolver, boolean fullChecking, GeneralAttrCheck generalAttrCheck)`
`TraverseSchema(Element root, StringPool stringPool, SchemaGrammar schemaGrammar, GrammarResolver grammarResolver, XMLErrorReporter errorReporter, java.lang.String schemaURL, boolean fullChecking, GeneralAttrCheck generalAttrCheck)`
`TraverseSchema(Element root, StringPool stringPool, SchemaGrammar schemaGrammar, GrammarResolver grammarResolver, XMLErrorReporter errorReporter, java.lang.String schemaURL, EntityResolver entityResolver, boolean fullChecking, GeneralAttrCheck generalAttrCheck, java.lang.String externalSchemaLocations, java.lang.String noNamespaceSchemaLocation)`

Method Summary
`void` | `doTraverseSchema(Element root, StringPool stringPool, SchemaGrammar schemaGrammar, GrammarResolver grammarResolver)`
`void` | `endNamespaceDeclScope(int prefix)` endNamespaceDeclScope is called when a namespace scope ends
`DatatypeValidator` | `getDatatypeValidator(java.lang.String uri, java.lang.String localpart)`
`int` | `maxEffectiveTotalRange(int contentSpecIndex)`
`int` | `minEffectiveTotalRange(int contentSpecIndex)`
`boolean` | `particleEmptiable(int contentSpecIndex)`
`void` | `setFullConstraintCheckingEnabled()`
`void` | `setGrammarResolver(GrammarResolver grammarResolver)`
`void` | `startNamespaceDeclScope(int prefix, int uri)` startNamespaceDeclScope is called when a new namespace scope is created

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SchemaForSchemaURI

    public static final java.lang.String SchemaForSchemaURI

Constructor Detail

### TraverseSchema

    public TraverseSchema(Element root,
                          StringPool stringPool,
                          SchemaGrammar schemaGrammar,
                          GrammarResolver grammarResolver,
                          XMLErrorReporter errorReporter,
                          java.lang.String schemaURL,
                          EntityResolver entityResolver,
                          boolean fullChecking,
                          GeneralAttrCheck generalAttrCheck,
                          java.lang.String externalSchemaLocations,
                          java.lang.String noNamespaceSchemaLocation)
                   throws java.lang.Exception

### TraverseSchema

    public TraverseSchema(Element root,
                          StringPool stringPool,
                          SchemaGrammar schemaGrammar,
                          GrammarResolver grammarResolver,
                          XMLErrorReporter errorReporter,
                          java.lang.String schemaURL,
                          boolean fullChecking,
                          GeneralAttrCheck generalAttrCheck)
                   throws java.lang.Exception

### TraverseSchema

    public TraverseSchema(Element root,
                          StringPool stringPool,
                          SchemaGrammar schemaGrammar,
                          GrammarResolver grammarResolver,
                          boolean fullChecking,
                          GeneralAttrCheck generalAttrCheck)
                   throws java.lang.Exception

Method Detail

### setFullConstraintCheckingEnabled

    public void setFullConstraintCheckingEnabled()

### setGrammarResolver

    public void setGrammarResolver(GrammarResolver grammarResolver)

### startNamespaceDeclScope

    public void startNamespaceDeclScope(int prefix,
                                        int uri)

  Description copied from interface: NamespacesScope.NamespacesHandler
  startNamespaceDeclScope is called when a new namespace scope is created
  Specified by:
    startNamespaceDeclScope in interface NamespacesScope.NamespacesHandler
  Tags copied from interface: NamespacesScope.NamespacesHandler
  Parameters:
    `prefix` - the StringPool handle of the namespace prefix being declared
    `uri` - the StringPool handle of the namespace's URI
  Throws:
    java.lang.Exception -

### endNamespaceDeclScope

    public void endNamespaceDeclScope(int prefix)

  Description copied from interface: NamespacesScope.NamespacesHandler
  endNamespaceDeclScope is called when a namespace scope ends
  Specified by:
    endNamespaceDeclScope in interface NamespacesScope.NamespacesHandler
  Tags copied from interface: NamespacesScope.NamespacesHandler
  Parameters:
    `prefix` - the StringPool handle of the namespace prefix going out of scope
  Throws:
    java.lang.Exception -

### particleEmptiable

    public boolean particleEmptiable(int contentSpecIndex)

### minEffectiveTotalRange

    public int minEffectiveTotalRange(int contentSpecIndex)

### maxEffectiveTotalRange

    public int maxEffectiveTotalRange(int contentSpecIndex)

### doTraverseSchema

    public void doTraverseSchema(Element root,
                                 StringPool stringPool,
                                 SchemaGrammar schemaGrammar,
                                 GrammarResolver grammarResolver)
                          throws java.lang.Exception

### getDatatypeValidator

    public DatatypeValidator getDatatypeValidator(java.lang.String uri,
                                                  java.lang.String localpart)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.